import { ElementType } from 'react';
import { BaseProps, LabelVariablesEnum, PropsWithoutRef } from '../tools';
type Props<T extends ElementType> = BaseProps<T, typeof LabelVariablesEnum> & {
    /**
     * colFormLabel.
     */
    colFormLabel?: boolean;
    /**
     * inputGroupText.
     */
    inputGroupText?: boolean;
    /**
     * formCheckLabel.
     */
    formCheckLabel?: boolean;
};
export type LabelProps<T extends ElementType> = PropsWithoutRef<Props<T>, T, typeof LabelVariablesEnum>;
export {};
