import { ElementType } from 'react';
import { BaseProps, PropsWithoutRef, TextareaVariablesEnum } from '../tools';
type Props<T extends ElementType> = BaseProps<T, typeof TextareaVariablesEnum> & {};
export type TextareaProps<T extends ElementType> = PropsWithoutRef<Props<T>, T, typeof TextareaVariablesEnum>;
export {};
